Change in ...osmo-ccid-firmware[master]: contrib/jenkins.sh: Build libosmocore for Cortex-M4 during build testing

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

laforge gerrit-no-reply at lists.osmocom.org
Thu Jun 13 16:35:43 UTC 2019


laforge has submitted this change and it was merged. ( https://gerrit.osmocom.org/c/osmo-ccid-firmware/+/14444 )

Change subject: contrib/jenkins.sh: Build libosmocore for Cortex-M4 during build testing
......................................................................

contrib/jenkins.sh: Build libosmocore for Cortex-M4 during build testing

Change-Id: I9a64efe810fabe3edd54a4586f42e9100a0faab0
---
M contrib/jenkins.sh
1 file changed, 29 insertions(+), 2 deletions(-)

Approvals:
  Jenkins Builder: Verified
  laforge: Looks good to me, approved



diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index b4ee280..19bc222 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,13 +1,40 @@
 #!/bin/bash
 
+if ! [ -x "$(command -v osmo-deps.sh)" ]; then
+	echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+	exit 2
+fi
+
+set -ex
+
 TOPDIR=`pwd`
 
-set -e
+deps="$TOPDIR/deps"
+inst="$TOPDIR/install"
+export deps inst
+
+# adapted from
+echo
+echo "=============== libosmocore cross-build ==========="
+mkdir -p "$deps"
+cd "$deps"
+osmo-deps.sh libosmocore master
+cd libosmocore
+
+mkdir -p "$inst/stow"
+autoreconf --install --force
+./configure --enable-static --prefix="$inst/stow/libosmocore" --host=arm-none-eabi --enable-embedded --disable-doxygen --disable-shared --disable-pseudotalloc --enable-external-tests CFLAGS="-Os -ffunction-sections -fdata-sections -nostartfiles -nodefaultlibs -Werror -Wno-error=deprecated -Wno-error=deprecated-declarations -Wno-error=cpp -mthumb -Os -mlong-calls -g3 -mcpu=cortex-m4 -mfloat-abi=softfp -mfpu=fpv4-sp-d16 -I /home/laforge/projects/git/osmo-ccid-firmware/sysmoOCTSIM -Wno-error=format"
+make $PARALLEL_MAKE install
+make clean
+STOW_DIR="$inst/stow" stow --restow libosmocore
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig"
+export LD_LIBRARY_PATH="$inst/lib"
 
 echo
 echo "=============== sysmoOCTSIM firmware build ==========="
 cd $TOPDIR/sysmoOCTSIM
 cd gcc
 make clean
-make $PARALLEL_MAKE
+make SYSTEM_PREFIX="$inst" $PARALLEL_MAKE
 make clean

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-ccid-firmware/+/14444
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-ccid-firmware
Gerrit-Branch: master
Gerrit-Change-Id: I9a64efe810fabe3edd54a4586f42e9100a0faab0
Gerrit-Change-Number: 14444
Gerrit-PatchSet: 2
Gerrit-Owner: laforge <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge at gnumonks.org>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190613/a8134ef3/attachment.htm>


More information about the gerrit-log mailing list